unit Unit1;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.StdCtrls, WEBLib.StdCtrls, Vcl.Controls,
  WEBLib.Devices, WEBLib.REST;

type
  TForm1 = class(TWebForm)
    WebMediaCapture1: TWebMediaCapture;
    WebCamera1: TWebCamera;
    WebButton1: TWebButton;
    WebButton2: TWebButton;
    WebHttpRequest1: TWebHttpRequest;
    procedure WebButton1Click(Sender: TObject);
    procedure WebButton2Click(Sender: TObject);
    procedure WebMediaCapture1StopCapture(Sender: TObject;
      ABinary: TJSUint8Array; ABase: string);
    procedure WebFormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.WebButton1Click(Sender: TObject);
begin
  WebMediaCapture1.Start;
end;

procedure TForm1.WebButton2Click(Sender: TObject);
begin
  WebMediaCapture1.Stop;
end;

procedure TForm1.WebFormShow(Sender: TObject);
begin
  WebCamera1.Start;
end;

procedure TForm1.WebMediaCapture1StopCapture(Sender: TObject;
  ABinary: TJSUint8Array; ABase: string);
begin
  Application.DownloadBinaryFile(ABinary,'myvideo.mp4');

  // or use TWebHttpRequest here to post data (as Base64 string), for example:
  // WebHttpRequest1.PostData := ABase;
  // WebHttpRequest1.Commant := httpPOST;
  // WebHttpRequest1.URL := 'myserver_endpoint_url';
  // WebHttpRequest1.Execute;
end;

end.